### Method

# WebKit WebView is_immersive_mode_enabled

since: 2.52

#### Declaration [src]

    gboolean
    webkit_web_view_is_immersive_mode_enabled (
      WebKitWebView* web_view
    )

#### Description [src]

Gets whether `web_view` is in immersive mode.

An immersive session is a mode in which the user is presented with a fully immersive XR experience (such as VR or AR), typically rendered via a headset.

Note that if WebXR is disabled or OPENXR is not used, this API always returns `FALSE`.

Available since: 2.52

Gets property | `WebKit.WebView:is-immersive-mode-enabled`

#### Return value

Type: `gboolean`

`TRUE` if the `web_view` is in immersive mode, or `FALSE` otherwise.